<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionTeamBlockMakeImageOptional extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $stream = $this->streams()->findBySlugAndNamespace('members', 'team_block');
        $field = $this->fields()->findBySlugAndNamespace('image', 'team_block');

        $assignment = $this->assignments()->findByStreamAndField($stream, $field);

        $assignment->required = false;

        $assignment->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $stream = $this->streams()->findBySlugAndNamespace('members', 'team_block');
        $field = $this->fields()->findBySlugAndNamespace('image', 'team_block');

        $assignment = $this->assignments()->findByStreamAndField($stream, $field);

        $assignment->required = true;

        $assignment->save();
    }
}
